package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.tnb.content.app.vod.model.po.VideoTag;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2022-06-09 15:09:01
 */
@Mapper
public interface VideoTagMapper extends BaseMapper<VideoTag> {
    void deleteByTagId(String tagId);

    VideoTag findByName(String name);
    VideoTag findByTagId(String tagId);
    List<String> findVideoTags(String videoId);
    List<String> findVideoIds(String tagName);
    List<String> findRandomTags(int size);
}
